package com.ruoyi.app.service.impl;

import java.util.List;

import com.ruoyi.app.domain.AppWcsTaskBak;
import com.ruoyi.app.mapper.AppWcsTaskBakMapper;
import com.ruoyi.app.service.IAppWcsTaskBakService;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 【请填写功能名称】Service业务层处理
 *
 * @author ruoyi
 * @date 2025-01-15
 */
@Service
public class AppWcsTaskBakServiceImpl implements IAppWcsTaskBakService
{
    @Autowired
    private AppWcsTaskBakMapper appWcsTaskBakMapper;

    /**
     * 查询【请填写功能名称】
     *
     * @param wcsTaskId 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    @Override
    public AppWcsTaskBak selectAppWcsTaskBakByWcsTaskId(String wcsTaskId)
    {
        return appWcsTaskBakMapper.selectAppWcsTaskBakByWcsTaskId(wcsTaskId);
    }

    /**
     * 查询【请填写功能名称】列表
     *
     * @param appWcsTaskBak 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<AppWcsTaskBak> selectAppWcsTaskBakList(AppWcsTaskBak appWcsTaskBak)
    {
        return appWcsTaskBakMapper.selectAppWcsTaskBakList(appWcsTaskBak);
    }

    /**
     * 新增【请填写功能名称】
     *
     * @param appWcsTaskBak 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertAppWcsTaskBak(AppWcsTaskBak appWcsTaskBak)
    {
        appWcsTaskBak.setCreateTime(DateUtils.getNowDate());
        return appWcsTaskBakMapper.insertAppWcsTaskBak(appWcsTaskBak);
    }

    /**
     * 修改【请填写功能名称】
     *
     * @param appWcsTaskBak 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateAppWcsTaskBak(AppWcsTaskBak appWcsTaskBak)
    {
        return appWcsTaskBakMapper.updateAppWcsTaskBak(appWcsTaskBak);
    }

    /**
     * 批量删除【请填写功能名称】
     *
     * @param wcsTaskIds 需要删除的【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteAppWcsTaskBakByWcsTaskIds(String[] wcsTaskIds)
    {
        return appWcsTaskBakMapper.deleteAppWcsTaskBakByWcsTaskIds(wcsTaskIds);
    }

    /**
     * 删除【请填写功能名称】信息
     *
     * @param wcsTaskId 【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteAppWcsTaskBakByWcsTaskId(String wcsTaskId)
    {
        return appWcsTaskBakMapper.deleteAppWcsTaskBakByWcsTaskId(wcsTaskId);
    }
}
